CREATE TABLE bm_cm_layout_line_col (
    ID                   NUMBER(18, 0) ,
    LINE_ITEM_GRID_ID    NUMBER(18, 0)     NOT NULL,
    LABEL                VARCHAR2(1020),
    COL_MAPPING_TYPE     NUMBER(1, 0)  ,
    LABEL_ALIGNMENT      NUMBER(1, 0)  ,
    VALUE_ALIGNMENT      NUMBER(1, 0)  ,
    FIELD_WIDTH          NUMBER(5, 0)  ,
    WIDTH_TYPE           NUMBER(1, 0)  ,
    ORDER_NUMBER         NUMBER(5, 0)      NOT NULL,
    DATE_ADDED           DATE              NOT NULL,
    DATE_MODIFIED        DATE              NOT NULL,
    GUID                 VARCHAR2(1020)    NOT NULL,
    LAYOUT_MODEL_ID      NUMBER(18, 0) ,
    ID                   NUMBER(18, 0) ,
    LINE_ITEM_GRID_ID    NUMBER(18, 0)     NOT NULL,
    LABEL                VARCHAR2(1020),
    COL_MAPPING_TYPE     NUMBER(1, 0)  ,
    LABEL_ALIGNMENT      NUMBER(1, 0)  ,
    VALUE_ALIGNMENT      NUMBER(1, 0)  ,
    FIELD_WIDTH          NUMBER(5, 0)  ,
    WIDTH_TYPE           NUMBER(1, 0)  ,
    ORDER_NUMBER         NUMBER(5, 0)      NOT NULL,
    DATE_ADDED           DATE              NOT NULL,
    DATE_MODIFIED        DATE              NOT NULL,
    GUID                 VARCHAR2(1020)    NOT NULL,
    LAYOUT_MODEL_ID      NUMBER(18, 0) ,
    CONSTRAINT pk_bm_cm_layout_line_col PRIMARY KEY (ID, ID)
);
